# Styling Cross-Browser Compatible Range Inputs with Sass / SCSS

Sass component for customizing the input range using the native properties of each browser. Based on article [Styling Cross-Browser Compatible Range Inputs with CSS](https://css-tricks.com/styling-cross-browser-compatible-range-inputs-css/) form CSS Tricks blog.

## Features

-   Variables for easy customization
-   Uses the native properties of each browser
-   Preserves accessibility
-   Cross-browser compatible

## Example

![Input range native and custom on browsers](https://github.com/darlanrod/input-range-scss/blob/master/example/input-range-browsers.jpg)

## Changelog

-   1.3.0: Better default style and example page
-   1.2.0: Improvement in SCSS lint (thanks, [Dustin McCaffree](https://github.com/dMcCaffree))
-   1.1.1: Fix track height in IE and thumb margin in Edge (thanks, [danclaydonpm](https://github.com/danclaydonpm) and [jenstornell](https://github.com/jenstornell))
-   1.1.0: Make all variables as '!default'. (thanks, [n0nick](https://github.com/n0nick))
-   1.0.1: SCSS-Lint fix. (thanks, [CookPete](https://github.com/CookPete))

## See Also

[Input range browser support](http://caniuse.com/#feat=input-range)
